# PDF Embanner

## Presentation
This is a GUI software designed to manipulate existing pdf. It allows to :
 * Concatenate several PDF files, changing page order and selecting only relevant pages and adding blank pages
 * Rotate and/or crop PDF pages
 * Editting PDF metadata
 * Watermarking of PDF with other existing pdf or with custom text
 * Extracting text from PDF
 * Splitting a single PDF file into a file per page
 * Encrypting PDF and decrypting if the encryption method is supported by python PyPDF2 package

## Installation
Simply clone or download this repository, and copy it on your computer.
On linux systems simply type `./pdfembanner` should work, else you will have to launch pdfembanner with python3 manually.

You have to have a python 3.5+ installed, and for watermarking with custom text a Latex installation is also necessary. To tell PDF embanner which latex compiler to use, please edit the `pdfembannersrc/compiler.conf`.

## Licence and credits
This software is distributed under GNU/GPL v3 licence, see www.gnu.org/licenses/
